/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * Model10
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model10 {
  @SerializedName("lat")
  private BigDecimal lat = null;

  @SerializedName("lng")
  private BigDecimal lng = null;

  @SerializedName("distance_in_meters")
  private BigDecimal distanceInMeters = null;

  public Model10 lat(BigDecimal lat) {
    this.lat = lat;
    return this;
  }

   /**
   * Latitude of the destination. Ex : \&quot;48.83994\&quot;
   * @return lat
  **/
  @ApiModelProperty(value = "Latitude of the destination. Ex : \"48.83994\"")
  public BigDecimal getLat() {
    return lat;
  }

  public void setLat(BigDecimal lat) {
    this.lat = lat;
  }

  public Model10 lng(BigDecimal lng) {
    this.lng = lng;
    return this;
  }

   /**
   * Longitude of the destination. Ex : \&quot;2.36177\&quot;
   * @return lng
  **/
  @ApiModelProperty(value = "Longitude of the destination. Ex : \"2.36177\"")
  public BigDecimal getLng() {
    return lng;
  }

  public void setLng(BigDecimal lng) {
    this.lng = lng;
  }

  public Model10 distanceInMeters(BigDecimal distanceInMeters) {
    this.distanceInMeters = distanceInMeters;
    return this;
  }

   /**
   * Distance of this provider in meters. Ex : 2030 
   * @return distanceInMeters
  **/
  @ApiModelProperty(value = "Distance of this provider in meters. Ex : 2030 ")
  public BigDecimal getDistanceInMeters() {
    return distanceInMeters;
  }

  public void setDistanceInMeters(BigDecimal distanceInMeters) {
    this.distanceInMeters = distanceInMeters;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model10 model10 = (Model10) o;
    return Objects.equals(this.lat, model10.lat) &&
        Objects.equals(this.lng, model10.lng) &&
        Objects.equals(this.distanceInMeters, model10.distanceInMeters);
  }

  @Override
  public int hashCode() {
    return Objects.hash(lat, lng, distanceInMeters);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model10 {\n");
    
    sb.append("    lat: ").append(toIndentedString(lat)).append("\n");
    sb.append("    lng: ").append(toIndentedString(lng)).append("\n");
    sb.append("    distanceInMeters: ").append(toIndentedString(distanceInMeters)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

